/*
 Theme Name:   CASP
 Theme URI:    https://casp.researchatmun.ca/
 Description:  Infinite Child Theme
 Author:       Freshworks Web Design
 Author URI:   http://freshworks.ca
 Template:     infinite
 Version:      1.0.4
*/

/*------------------------------------*\
    BRANDING
\*------------------------------------*/

.red {color: #98002E;}
.light-blue {color: #F3F9FF;}

/*------------------------------------*\
    UTILITY
\*------------------------------------*/

.flex {
	display: -webkit-box;  /* OLD - iOS 6-, Safari 3.1-6, BB7 */
	display: -ms-flexbox;  /* TWEENER - IE 10 */
	display: -webkit-flex; /* NEW - Safari 6.1+. iOS 7.1+, BB10 */
	display: flex;         /* NEW, Spec - Firefox, Chrome, Opera */
}

.mobile-only {
    display: none;
}

.desktop-only {
    display: block;
}

.push-left .gdlr-core-pbf-column-content,
.push-left ul {
    margin-left: 0;
    margin-right: auto;
}

.push-right .gdlr-core-pbf-column-content,
.push-right ul {
    margin-right: 0;
    margin-left: auto;
}

.width-295 .gdlr-core-button {
    text-align: center;
    width: 295px;
}

.width-450 .gdlr-core-button {
    text-align: center;
    width: 450px;
}

.casp .gdlr-core-title-item-caption {
    margin-bottom: -15px !important;
}

.custom-arrow {
    margin: 0;
}

.custom-arrow li {
    list-style-type: none;
    background-image: url('/wp-content/uploads/casp-arrow.svg');
    background-repeat: no-repeat;
    background-size: 22px 24.75px;
    padding-left: 30px;
    margin-bottom: 20px;
}

/*------------------------------------*\
    TYPOGRAPHY
\*------------------------------------*/

.condensed .gdlr-core-title-item-title {
    letter-spacing: -4% !important;
}

/*------------------------------------*\
    GLOBAL
\*------------------------------------*/

body {
    word-break: normal;
}

address {
    font-style: normal;
}

img[src$=".svg"] {
    width: 99999px;
}

sup {
    vertical-align: super;
}

ol li {
    margin-bottom: 30px;
}

.gdlr-core-title-item-left-image img {
    width: 44px;
    height: 44px;
}

.infinite-main-menu-right-button {
    padding: 10px 39px;
    border-radius: 5px;
    margin-left: 15px;
}

.gdlr-core-fluid-video-wrapper {
    border-radius: 15px;
}

/*------------------------------------*\
    FORMS
\*------------------------------------*/

#popmake-506 {
    padding: 80px 50px 30px 50px;
}

#popmake-506 h2 {
    font-size: 45px;
    letter-spacing: -4%;
}

#popmake-506 p {
    font-size: 14px;
}

.frm_submit {
    text-align: center;
}


/*------------------------------------*\
    NAVIGATION
\*------------------------------------*/

.current-menu-item {
    font-style: italic;
}

ul.mm-listview li a,
ul.mm-listview li span.infinite-mm-menu-blank{
    text-transform: none;
    font-size: 18px;
    font-weight: 600;
    letter-spacing: 0;
}

/* Get in Touch */
.menu-item-88 {
    display: none;
}

/* Resources Menu */
.resources-menu {
    justify-content: center;
    gap: 40px;
}

.resources-menu a {
    color: #000;
}

.resources-menu a.active,
.resources-menu a:hover  {
    font-weight: 600;
    font-style: italic;
    border-bottom: 2px solid #98002E;
    color: #000;
}



/*------------------------------------*\
    ACCORDIONS
\*------------------------------------*/

/* Custom #1 */
.custom-1 .gdlr-core-accordion-item-content-wrapper {
    width: 100%;
    overflow: visible;
}

.custom-1 .gdlr-core-accordion-item-title {
    line-height: 1.1 !important;
    margin: 0;
}

.custom-1 .gdlr-core-accordion-item-tab:first-child {
    border-top: 1px solid #e2e2e2;
}

.custom-1 .gdlr-core-accordion-item-tab {
    display: -webkit-box;  /* OLD - iOS 6-, Safari 3.1-6, BB7 */
    display: -ms-flexbox;  /* TWEENER - IE 10 */
    display: -webkit-flex; /* NEW - Safari 6.1+. iOS 7.1+, BB10 */
    display: flex;         /* NEW, Spec - Firefox, Chrome, Opera */
    margin-bottom: 0;
    justify-content: space-between;
    flex-direction: row-reverse;
    align-items: center;
    padding: 40px 0;
    margin-bottom: 0 !important;
}

.custom-1 .gdlr-core-accordion-item-tab:last-child {
    border-bottom: none;
}

.custom-1 .gdlr-core-accordion-item-icon {
    margin-right: 0;
}

.custom-1 .gdlr-core-accordion-item-icon:before {
    content: url('/wp-content/themes/infinite-child/img/arrow-down.svg') !important;
}

.custom-1 .gdlr-core-active .gdlr-core-accordion-item-icon:before {
    content: url('/wp-content/themes/infinite-child/img/arrow-up.svg') !important;
}

.custom-1 .gdlr-core-accordion-item-content {
    margin-top: 15px;
    padding-bottom: 0;
}

/* Assessment Tools */
.custom-1.alt .gdlr-core-accordion-item-tab {
    padding: 30px 0;
}

.custom-1.alt .gdlr-core-accordion-item-content .flex > div:first-child {
    margin-right: 30px;
}

.custom-1.alt .gdlr-core-accordion-item-content .flex > div:last-child {
    width: 100%;
    word-break: break-word;
}

.custom-1.alt .gdlr-core-accordion-item-title img {
    vertical-align: middle;
    margin-right: 10px;
}

/* Custom #2 */
.custom-2 .gdlr-core-accordion-item-title {
    border-radius: 15px;
}

.custom-2 .gdlr-core-accordion-item-content-wrapper {
    background-color: #F3F9FF;
    border-radius: 15px;
}

.custom-2 .gdlr-core-accordion-item-content {
    text-align: left;
    padding: 50px 100px 45px 100px;
}

.custom-2 .gdlr-core-active .gdlr-core-accordion-item-title {
    border-radius: 15px 15px 0 0;
}

.custom-2 .gdlr-core-accordion-item-tab:after {
    display: block;
    content: url('/wp-content/themes/infinite-child/img/red-arrow-down.svg');
    width: 14px;
    height: 17px;
    margin: 10px auto;
    visibility: visible;
}

.custom-2 .gdlr-core-accordion-item-tab:last-child:after {
    display: none;
}

.custom-2 .gdlr-core-button {
    font-size: 18px; 
    font-style: normal; 
    font-weight: 600; 
    letter-spacing: 0px; 
    padding: 12px 60px; 
    text-transform: none; 
    border-radius: 5px; 
    -moz-border-radius: 5px; 
    -webkit-border-radius: 5px;
}

.custom-2 h4.gdlr-core-accordion-item-title:hover {
    background-color: #98002e;
    color: #fff;
}





/*------------------------------------*\
    PAGE SPECIFIC
\*------------------------------------*/

/* Home */
.carol-57 {
    position: absolute;
    right: 10%;
    top: 32%;
    
}

.heart-age-59 {
    position: absolute;
    right: 7%;
    top: 54%;
}

.carol-57 .gdlr-core-media-image,
.heart-age-59 .gdlr-core-media-image  {
    width: 17vw;
}

/* Public Step 7 */
#download-workbook a {
    text-align: center;
    margin-left: 117px;
}

/* Resources */
.last-resource {
    gap: 100px;
}

.last-resource > div {
    width: 50%;
}

.last-resource .gdlr-core-button {
    display: block;
    margin-top: 30px;
    width: 295px;
    text-align: center;
}

#useful-links a {
    font-weight: 600;
    text-decoration: underline;
}


/*------------------------------------*\
    PROGRESS BAR
\*------------------------------------*/

.progress-wrap {
    width: 100%;
    margin: 0 auto 20px;
}

.progress-bar {
    position: relative;
    width: 100%;
    height: 8px;
    background: #D9D9D9;
    border-radius: 999px;
    overflow: hidden;
}

.progress-fill {
    height: 100%;
    width: 0;
    background: #98002E;
    border-radius: 999px;
    transition: width 500ms ease;
    transition-delay: 2s;
    will-change: width;
}

.progress-label {
    text-align: right;
    margin-top: 8px;
    font-size: 14px;
    line-height: 1.4;
    color: #000;
    justify-content: space-between;
}

@media (prefers-reduced-motion: reduce) {
    .progress-fill {
      transition: none;
    }
}


/*------------------------------------*\
    FOOTER
\*------------------------------------*/

.infinite-footer-container {
    border-bottom: 1px solid #DBDBDB;
    padding-bottom: 20px;
}

.infinite-footer-container,
.infinite-copyright-container {
    max-width: 1270px;
    padding-left: 15px !important;
    padding-right: 15px !important;
}

/* Force 50/50 Layout */
.infinite-footer-column {
    width: 50%;
    padding: 0;
    margin: 0;
}

/* Right Side */
.infinite-column-40 {
    display: -webkit-box;  /* OLD - iOS 6-, Safari 3.1-6, BB7 */
    display: -ms-flexbox;  /* TWEENER - IE 10 */
    display: -webkit-flex; /* NEW - Safari 6.1+. iOS 7.1+, BB10 */
    display: flex;         /* NEW, Spec - Firefox, Chrome, Opera */
}

.infinite-widget-head-text {
    font-weight: 400;
}

.infinite-footer-wrapper .infinite-widget-title {
    margin-bottom: 8px;
}

#gdlr-core-custom-menu-widget-2 {
    margin-right: 90px;
}

.infinite-footer-wrapper .widget {
    margin-bottom: 0;
}

.logos {
    max-width: 355px;
    justify-content: space-between;
}

ul.gdlr-core-custom-menu-widget.gdlr-core-menu-style-plain li {
    margin-bottom: 2px;
}

.infinite-copyright-left {
    padding: 0;
}


/*------------------------------------*\
    MEDIA QUERIES
\*------------------------------------*/

/* Desktop Only */
@media (min-width: 1000px) {

    .custom-grid .gdlr-core-column-36 {
        width: 58%;
    }

    .custom-grid .gdlr-core-column-24 {
        width: 42%;
    }
   
    
}

/* 1400px and Under */
@media (max-width: 1350px) {

    .carol-57 {
        position: absolute;
        right: 5%;
        
    }

    .heart-age-59 {
        position: absolute;
        right: 2%;
        top: 52%;
    }

}


/* Tablet (Hamburger Menu) */
@media (max-width: 999px) {

    .menu-item-88 {
        display: block;
    }

    #download-workbook a {
        margin-left: 39px;
    }

    .last-resource {
        flex-direction: column;
    }

    .last-resource > div {
        width: 100%;
    }

    /* Accordions */
    .custom-1 .gdlr-core-accordion-item-title {
        font-size: 25px !important;
    }

    .custom-1 .gdlr-core-accordion-item-tab {
        padding: 45px 0;
    }

    .custom-2 .gdlr-core-accordion-item-content {
        padding: 45px;
    }
	
}

/* Mobile (Stacked) */
@media (max-width: 767px) {

    /* Utility */
    .mobile-only {
        display: block;
    }

    .desktop-only {
        display: none;
    }

    .width-295 .gdlr-core-button,
    .width-450 .gdlr-core-button {
        width: auto;
    }

    /* Global */
    .gdlr-core-pbf-background-wrap {
        border: none !important;
    }

    /* Pop Up */
    #popmake-506 {
        padding: 20px;
    }

    /* Home */
    #hero .gdlr-core-pbf-background {
        background-position: top left !important;
    }

    #hero .push-left .gdlr-core-pbf-column-content {
        margin: auto;
    }

    .custom-1 .gdlr-core-accordion-item-title {
        font-size: 20px !important;
    }

    .carol-57,
    .heart-age-59 {
        display: none;
    }

    /* Accordions */
    .custom-2 .gdlr-core-accordion-item-content {
        padding: 30px;
    }

    .gdlr-core-button .gdlr-core-content {
        font-size: 14px;
        text-align: center;
    }

    /* Footer */
    .infinite-footer-column {
        width: 100%;
        margin-bottom: 30px;
    }

    #gdlr-core-custom-menu-widget-2 {
        margin-right: 60px;
    }

}

/*------------------------------------*\
   BROWSER SPECIFIC
\*------------------------------------*/

/*------------------------------------*\
    ANIMATIONS
\*------------------------------------*/

.animated {
    opacity: 0;
    transition: opacity 0.6s ease, transform 0.6s ease;
}

.animated.fadeInLeft {
    transform: translateX(-100px);
}

.animated.fadeInRight {
    transform: translateX(100px);
}

.animated.fadeInUp {
    transform: translateY(50px);
}

.animated.fadeInDown {
    transform: translateY(-50px);
}

.animated.reveal {
    opacity: 1;
    transform: translate(0,0);
}

/* Manual Delays */
.delay-1 {transition-delay: 0.1s;}
.delay-2 {transition-delay: 0.2s;}
.delay-3 {transition-delay: 0.3s;}
.delay-4 {transition-delay: 0.4s;}
.delay-5 {transition-delay: 0.5s;}
.delay-6 {transition-delay: 0.6s;}
.delay-7 {transition-delay: 0.7s;}
.delay-8 {transition-delay: 0.8s;}
.delay-9 {transition-delay: 0.9s;}

/* Cascade In-Line Animations on Desktop */
@media (min-width: 999px) {
    .gdlr-core-column-first.gdlr-core-pbf-column + .gdlr-core-pbf-column:not(.gdlr-core-column-first) .animated {transition-delay: 0.3s;}
    .gdlr-core-column-first.gdlr-core-pbf-column + .gdlr-core-pbf-column:not(.gdlr-core-column-first) + .gdlr-core-pbf-column:not(.gdlr-core-column-first) .animated {transition-delay: 0.6s;}
    .gdlr-core-column-first.gdlr-core-pbf-column + .gdlr-core-pbf-column:not(.gdlr-core-column-first) + .gdlr-core-pbf-column:not(.gdlr-core-column-first) + .gdlr-core-pbf-column:not(.gdlr-core-column-first) .animated {transition-delay: 0.9s;}
}

